Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.facet
Class FacetEnumeration

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.facet.SOMFacet
                  |
                  +--com.bea.schema.facet.FacetEnumeration

public class FacetEnumeration
extends SOMFacet

enumeration constrains the value space to a specified set of values.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.schema.facet.SOMFacet
`duration, encoding, enumeration, fractionDigits, length, maxExclusive, maxInclusive, maxLength, minExclusive, minInclusive, minLength, pattern, period, precision, scale, totalDigits, whiteSpace`

Constructor Summary
`FacetEnumeration(java.lang.String val)`

Method Summary
`boolean` | `containsValue(java.lang.String value)` Tests if the specified value is an enumeration in this Facet.
`java.lang.String` | `createDefault()`
`java.lang.String` | `getID()`
`java.lang.String` | `getValue()` valid values for the enumeration facet
`java.util.Iterator` | `getValues()` iterator over valid values for the enumeration facet
`void` | `setValue(java.lang.String val)` Adds the enumeration value to the list of valid <enumeration> values.
`void` | `toXML(java.io.Writer rtn, int indent)`

Methods inherited from class com.bea.schema.facet.SOMFacet
`getAttributes, getFacet, getFixed, getTagName, setFixed`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FacetEnumeration

    public FacetEnumeration(java.lang.String val)

Method Detail

### getID

    public java.lang.String getID()

  Overrides:
    getID in class SOMObject

### getValue

    public java.lang.String getValue()

  valid values for the enumeration facet

  Returns:
    A comma separated list of string values that represent the valid values for this enumeration facet.
  Overrides:
    getValue in class SOMFacet

### getValues

    public java.util.Iterator getValues()

  iterator over valid values for the enumeration facet

  Returns:
    iterator over valid value(s) (java.lang.String)

### containsValue

    public boolean containsValue(java.lang.String value)

  Tests if the specified value is an enumeration in this Facet.

  Parameters:
    `value` - a String
  Returns:
    true if and only if the specified string exists in this facet, as determined by the equals method; false otherwise.

### setValue

    public void setValue(java.lang.String val)

  Adds the enumeration value to the list of valid <enumeration> values.

  Parameters:
    `val` - new valid value for enumeration.
  Overrides:
    setValue in class SOMFacet

### toXML

    public void toXML(java.io.Writer rtn,
                      int indent)
               throws java.io.IOException

  Overrides:
    toXML in class SOMFacet

### createDefault

    public java.lang.String createDefault()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)